Bug 147768 - gnome-mouse-properties forgets "Highlight pointer" setting
gnome-mouse-properties forgets "Highlight pointer" setting
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Control Center Maintainer
David Lawrence
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-10 21:46 EST by Matthew Saltzman
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 11:28:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Saltzman 2005-02-10 21:46:38 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
gnome-mouse-properties has a setting that locates the cursor when the
control key is pressed.  When this is turned on, the control key works
during the current session, but is forgotten after logout or suspend.

Version-Release number of selected component (if applicable):
control-center-2.8.0-12

How reproducible:
Always

Steps to Reproduce:
1. Applications -> Preferences -> Mouse -> Cursors.  Check "Locate
Pointer"
2. Log out and log back in.
3. Press control key.
    

Actual Results:  Nothing happens.

Expected Results:  Cursor is highlighted with flashing square.

Additional info:

The checkbox remains checked.  Unchecking and rechecking turns
highlighting back on for the duration of the session.
Comment 1 Matthew Saltzman 2005-07-06 10:44:55 EDT
Still happens with control-center-2.10.1-6 in FC4.  Highlighting is also lost
after suspend/resume.
Comment 2 Matthew Saltzman 2006-03-24 16:39:54 EST
Still happens with control-center-2.14.0-1 in FC5.
Comment 3 Matthew Saltzman 2006-04-06 04:08:20 EDT
I just stumbled on this by accident.  The right control key does not forget its
highlight setting.  In my case, I have the left control key and caps-lock
swapped.  So it appears that forgetting occurs when the control key is remapped.
 In this case, neither the left control nor the caps lock key remembers the
highlight setting, but when it is reset, the "virtual" control key is the one
that gets the highlighting property.
Comment 4 petrosyan 2008-03-10 02:51:38 EDT
Fedora Core 5 is no longer maintained. Is this bug still present in Fedora 8?
Comment 5 Matthew Saltzman 2008-03-10 07:38:23 EDT
Kind of hard to tell, because of bug #301891.  That bug reports that the setting
is currently missing from gnome-mouse-properties, so I can't change it to test
this bug.

That said, at the moment, the control keys (both of them!) do show the mouse
pointer position in the current configuration (at least with the nVidia binary
driver on my current laptop.  I will test another machine with a different X and
see if there's a difference.
Comment 6 Bastien Nocera 2008-03-13 12:08:59 EDT
The option is now in Fedora 9.
Comment 7 Matthew Saltzman 2008-03-13 14:41:58 EDT
OK not sure how I can test now, though (without building an F9 machine, which I
can't do right now).
Comment 8 Bastien Nocera 2008-03-13 14:49:43 EDT
You can use a Live USB key with persistence. The details of how to set it up
will be in the Fedora 9 beta release notes.
Comment 9 Bug Zapper 2008-04-03 21:54:19 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 10 Bug Zapper 2008-05-06 11:28:57 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.